[USN-4989-2] BlueZ vulnerabilities

========================================================================== Ubuntu Security Notice USN-4989-2 June 16, 2021
bluez vulnerabilities ==========================================================================
A security issue affects these releases of Ubuntu and its derivatives:
– Ubuntu 16.04 ESM
Summary:
Several security issues were fixed in BlueZ.
Software Description: – bluez: Bluetooth tools and daemons
Details:
USN-4989-1 fixed several vulnerabilities in BlueZ. This update provides the corresponding update for Ubuntu 16.04 ESM.
Original advisory details:
It was discovered that BlueZ incorrectly checked certain permissions when pairing. A local attacker could possibly use this issue to impersonate devices. (CVE-2020-26558)
Jay LV discovered that BlueZ incorrectly handled redundant disconnect MGMT events. A local attacker could use this issue to cause BlueZ to crash, resulting in a denial of service, or possibly execute arbitrary code. This issue only affected Ubuntu 18.04 LTS and Ubuntu 20.04 LTS. (CVE-2020-27153)
Update instructions:
The problem can be corrected by updating your system to the following package versions:
Ubuntu 16.04 ESM: bluez 5.37-0ubuntu5.3+esm1 libbluetooth3 5.37-0ubuntu5.3+esm1
In general, a standard system update will make all the necessary changes.
References: ubuntu.com/security/notices/USN-4989-2 ubuntu.com/security/notices/USN-4989-1 CVE-2020-26558, CVE-2020-27153